# TODO
# - add contrib dir
# - spool & results in same dir is not good?
#   /var/spool/cups-pdf/SPOOL
Summary:	CUPS PDF driver
Summary(pl.UTF-8):	Sterownik CUPS-PDF
Name:		cups-backend-pdf
Version:	3.0.2
Release:	1
License:	GPL v2
Group:		Applications/Printing
Source0:	https://www.cups-pdf.de/src/cups-pdf_%{version}.tar.gz
# Source0-md5:	276402ca8d7ac1f249cdaf3c34bdfc51
URL:		https://www.cups-pdf.de/
BuildRequires:	cups-devel
Requires:	cups
Requires:	ghostscript
Obsoletes:	cups-pdf < 2.5.1
Conflicts:	ghostscript-esp < 8.15.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cupslibdir	%(cups-config --serverbin 2>/dev/null)

%description
CUPS-PDF is designed to produce PDF files in a heterogeneous network
by providing a PDF printer on the central fileserver.

%description -l pl.UTF-8
CUPS-PDF służy do tworzenia plików PDF w środowisku heterogenicznym
poprzez udostępnienie drukarki PDF na centralnym serwerze plików.

%prep
%setup -q -n cups-pdf-%{version}

%build
cd src
%{__cc} %{rpmldflags} %{rpmcflags} %{rpmcppflags} -o cups-pdf cups-pdf.c -lcups

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{cupslibdir}/backend,%{_sysconfdir}/cups,%{_datadir}/cups/model,%{_var}/spool/cups-pdf/SPOOL}
cp -a src/cups-pdf $RPM_BUILD_ROOT%{cupslibdir}/backend
cp -a extra/cups-pdf.conf  $RPM_BUILD_ROOT%{_sysconfdir}/cups
cp -a extra/*.ppd $RPM_BUILD_ROOT%{_datadir}/cups/model

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q cups restart

%postun
if [ "$1" = 0 ]; then
	%service -q cups restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cups/cups-pdf.conf
%attr(700,root,root) %{cupslibdir}/backend/cups-pdf
%{_datadir}/cups/model/CUPS-PDF_noopt.ppd
%{_datadir}/cups/model/CUPS-PDF_opt.ppd
%dir %{_var}/spool/cups-pdf
%dir %attr(751,root,lp) %{_var}/spool/cups-pdf/SPOOL
%changelog
* Wed Mar 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cups-backend-pdf.git;a=log;h=master

* Wed Mar 26 2025 Jakub Bogusz <qboosh@pld-linux.org> 5e3177f
- updated to 3.0.2

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 5ea0704
- updated to 3.0.1

* Sun Nov 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 791bf3d
- up to 2.6.1

* Thu May 26 2011 zbyniu <zbyniu@pld-linux.org> 09c2040
- up to 2.5.1

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> 41957a7
- package /var/spool/cups-pdf/SPOOL

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> fc69b01
- release 2

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> b0f429a
- rename to cups-backend-pdf (idea by pawelz)

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> dda41ee
- release 2

* Mon Nov 30 2009 Elan Ruusamäe <glen@pld-linux.org> c9d8fe6
- ghostscript-esp earlier than 8.15.2 is buggy
- restart ups only once on upgrades
- cosmetics

* Mon Mar 23 2009 duddits <duddits@pld-linux.org> f8ed97e
- up to 2.5.0

* Wed Jan 14 2009 duddits <duddits@pld-linux.org> 4403b3c
- up to 2.4.8

* Tue May 27 2008 Karol Krenski <charles@pld-linux.org> 0a581cd
- updated to 2.4.7
- add R/BR cups/-devel
- .../backend/cups-pdf permissions to 700

* Sat May 03 2008 blekot <blekot@pld-linux.org> b2e347b
- fixed dirs (cups-config --serverbin shows /usr/lib/cups), so cups dir removed from %files/install

* Mon Nov 26 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> f4596ae
- rel.1

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 6dd96d2
- pl, use optflags

* Thu Aug 02 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> d607cd2
- add spool directory

* Thu Aug 02 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 2a02149
- init

